<template>
  <div class="todo-add-view">
    <div></div>
    <div>
      <p class="add-task-header default-header">New task</p>
      <p class="new-task-text default-text-bold">Task name</p>
      <input-field-area
        v-on:update-text="updateText"
        placeholder="Enter task name..."
        class="new-task-input"
      ></input-field-area>

      <button
        class="add-task-button default-button-peach default-medium-text-900"
        @click="addTask"
      >
        Create
      </button>
    </div>
    <div></div>
  </div>
</template>

<script>
import InputFieldArea from "../components/input/InputFieldArea";
export default {
  data() {
    return {
      todoText: ""
    };
  },
  components: {
    InputFieldArea
  },
  methods: {
    addTask() {
      if (this.isNullOrWhitespace(this.todoText)) {
        alert("Task can't be empty");
        return;
      }
      this.$store.dispatch("tasks/addTodo", this.todoText);
      this.$router.go(-1);
    },
    updateText(data) {
      this.todoText = data.text;
    },
    isNullOrWhitespace(input) {
      return !input || !input.trim();
    }
  }
};
</script>

<style lang="sass">
@import "../css/animations.sass"

.todo-add-view
  grid-template-columns: repeat(3, 1fr)
  display: grid

  .todo-add-view-col
    position: relative
    text-align: start


  .add-task-header
    padding:
      top: 63px


  .new-task-text
    padding-top: 80px

  .new-task-input
    padding-top: 30px

  .add-task-button
    margin-top: 104px
    width: 325px
    position: fixed
    bottom: 50px
    border: 0px

  .cancel-task-button
    margin-top: 172px
    margin-left: 15px
</style>
